#!/bin/bash

STATUS=$(curl -s 127.0.0.1:8500/v1/health/state/any -H 'X-Consul-Token: {{ consul_acl_master_token }}' | jq -c '.[]|select(.Status!="passing")' | wc -l)

if [ $STATUS -eq 0 ]; then
  echo "OK"
else
  echo "NG"
fi
